libnvme(2)

NAME
struct nvme_change_ns_event - Change Namespace Event Data

SYNOPSIS
struct nvme_change_ns_event {
__le32 nsmgt_cdw10;
__u8 rsvd4[4];
__le64 nsze;
__u8 rsvd16[8];
__le64 nscap;
__u8 flbas;
__u8 dps;
__u8 nmic;
__u8 rsvd35;
__le32 ana_grp_id;
__le16 nvmset_id;
__le16 rsvd42;
__le32 nsid;
};

Members

nsmgt_cdw10
    Namespace Management CDW10

rsvd4
    Reserved

nsze
    Namespace Size

rsvd16
    Reserved

nscap
    Namespace Capacity

flbas
    Formatted LBA Size

dps End-to-end Data Protection Type Settings

nmic
    Namespace Multi-path I/O and Namespace Sharing Capabilities

rsvd35
    Reserved

ana_grp_id
    ANA Group Identifier

nvmset_id
    NVM Set Identifier

rsvd42
    Reserved

nsid
    Namespace ID